//
//  NSArchiver+PTUtilities.h
//  PTImageIO
//
//  Created by Rimas Mickevičius on 2013-12-06.
//
//

#import <Foundation/Foundation.h>

@interface NSArchiver (PTUtilities)

+ (NSData *)safelyArchivedDataWithRootObject:(id)rootObject;
+ (BOOL)safelyArchiveRootObject:(id)rootObject toFile:(NSString *)path;

@end


@interface NSUnarchiver (PTUtilities)

+ (id)safelyUnarchiveObjectWithData:(NSData *)data;
+ (id)safelyUnarchiveObjectWithFile:(NSString *)path;

@end