//
//  PTImageIO.h
//  PTImageIO
//
//  Created by Rimas Mickevičius on 2013-07-28.
//
//

#import <Foundation/Foundation.h>

// generic stuff
#import <PTImageIO/PTTypes.h>
#import <PTImageIO/PTBitmapDataInfo.h>
#import <PTImageIO/PTVersionComparator.h>
#import <PTImageIO/NSKeyedArchiver+PTUtilities.h>
#import <PTImageIO/PTCGColorEncoding.h>
#import <PTImageIO/PTLayerStyle.h>
#import <PTImageIO/PTSmartShape.h>
#if PT_TARGET_OSX
    #import <PTImageIO/NSArchiver+PTUtilities.h>
#endif

// open/save
#import <PTImageIO/PTImageIODefinitions.h>
#import <PTImageIO/PTImageIOProtocols.h>
#import <PTImageIO/PTImageIOUtilities.h>
#import <PTImageIO/PTImageIODataSaveManager.h>
#import <PTImageIO/PTImageIOZipTools.h>

// save for web
#if PT_TARGET_OSX
    #import <PTImageIO/PTImageIOSWJPEGOptimizer.h>
    #import <PTImageIO/PTImageIOSWPNGOptimizer.h>
    #import <PTImageIO/PTImageIOSWGIFOptimizer.h>
    #import <PTImageIO/PTImageIOQuantizer.h>
    #import <PTImageIO/PTImageIOWebPOptimizer.h>
#endif // PT_TARGET_OSX