//
//  NSKeyedArchiver+PTUtilities.h
//  PTImageIO
//
//  Created by Rimas Mickevičius on 2013-10-29.
//
//

#import <Foundation/Foundation.h>

@interface NSKeyedArchiver (PTUtilities)

+ (NSData *)safelyArchivedDataWithRootObject:(id)rootObject;
+ (BOOL)safelyArchiveRootObject:(id)rootObject toFile:(NSString *)path;

@end


@interface NSKeyedUnarchiver (PTUtilities)

+ (id)safelyUnarchiveObjectWithData:(NSData *)data;
+ (id)safelyUnarchiveObjectWithFile:(NSString *)path;

@end
